Bug 13642 - REGRESSION: Webcam viewer (mjpg) does not render smoothly
Summary: REGRESSION: Webcam viewer (mjpg) does not render smoothly
Status: RESOLVED DUPLICATE of bug 13759
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Major
Assignee: Nobody
URL: http://webcam.sewanee.edu/view/view.s...
Keywords: Regression
Depends on:
Blocks:
 
Reported: 2007-05-09 08:54 PDT by Peter
Modified: 2007-05-17 11:55 PDT (History)
2 users (show)

See Also:


Attachments
Crashreport Safari/Webkit (21.28 KB, text/plain)
2007-05-09 08:56 PDT, Peter
no flags Details
View with safari (cropped) (4.01 KB, image/jpeg)
2007-05-10 00:31 PDT, Peter
no flags Details
View with Webkit (cropped) (3.39 KB, image/jpeg)
2007-05-10 00:33 PDT, Peter
no flags Details
A screen capture of the web cams side by side (227.88 KB, image/png)
2007-05-16 12:12 PDT, Gibbons Burke
no flags Details
A movie capture of the glitch occurring (169.45 KB, video/quicktime)
2007-05-16 12:35 PDT, Gibbons Burke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter 2007-05-09 08:54:46 PDT
When viewing a security cam on the intranet the view does not render smoothly. When moving towards another webpage, it causes Webkit to crash. Thies does not happen when using Safari's latest official version (419.3).
Comment 1 Peter 2007-05-09 08:56:20 PDT
Created attachment 14431 [details]
Crashreport Safari/Webkit
Comment 2 Brady Eidson 2007-05-09 09:57:25 PDT
http://bugs.webkit.org/show_bug.cgi?id=13360 is already tracking the crashing issue - this bug is *only* about not rendering smoothly.  Changing the title to reflect the single purpose of this bug, and added the webcam url assuming it's the same one as mentioned in 13360
Comment 3 Brady Eidson 2007-05-09 10:01:13 PDT
Now - that said, I have the webcam page up in Safari 2.0 and ToT side by side, and I cannot appreciate any difference.  Cars going by take about 3 or 4 frames in either version, and the framerate is between 1 and 2 frames per second in both.
Comment 4 Peter 2007-05-09 14:41:43 PDT
Weird, the difference with Safari and Webkit on my intranet is huge, i.e. rendering is so bad it makes the cam unuseable. I'll try to make screenshots.
Comment 5 Peter 2007-05-10 00:31:32 PDT
Created attachment 14451 [details]
View with safari (cropped)

Good view with Safari 2.0
Comment 6 Peter 2007-05-10 00:33:18 PDT
Created attachment 14452 [details]
View with Webkit (cropped)

This was made with Grab.app so it is a still image. When viewing live the dark patches and white squares show random on the lower half of the moving picture.
Comment 7 Brady Eidson 2007-05-10 00:40:43 PDT
Those screen shots don't show what I see at "http://webcam.sewanee.edu/view/view.shtml"

Can you please confirm the URL for the webcam you are viewing?
Comment 8 Mark Rowe (bdash) 2007-05-10 02:10:28 PDT
"Sorry, it's on closed intranet"

Peter, please add your comments to Bugzilla's web interface.  Replying to the email notifications means they won't end up in the right place.
Comment 9 Justin Garcia 2007-05-15 16:01:37 PDT
Closed this on accident.  Re-opening.
Comment 10 Peter 2007-05-16 00:30:50 PDT
Is this patch up for review yet?
Comment 11 Brady Eidson 2007-05-16 10:00:05 PDT
Peter, is what patch up for review?  Have you submitted a patch for review?
Personally, I cannot reproduce this bug on any of the 3 machines I've tried.  Since you can only see the bug on your own intranet camera feed we have no explicit way to reproduce that open source contributers can access.

If you can provide a publicly accessible URL that someone else can reproduce the problem with then maybe we can explore it.  Open source is about being OPEN...  ;)
Comment 12 Gibbons Burke 2007-05-16 10:23:39 PDT
I can still reproduce this problem also.

I originally reported the bug along with the window-close crash and the periodic garbled frames problem continues on my machine here. I have the webcam in Webkit side by side with the webcam in Safari and safari runs flawlessly while Webkit stutters every few seconds with a garbled frame or two. I'm having trouble saving a movie showing this behavior I captured with Snapz Pro which I will attach once I am successful.
Comment 13 Gibbons Burke 2007-05-16 10:29:05 PDT
Here is the URL for the original bug on a publicly available web cam:

http://webcam.sewanee.edu/view/view.shtml


Comment 14 Brady Eidson 2007-05-16 10:34:52 PDT
Gibbons,
Thank you for finally confirming the URL that is demonstrating the choppy rendering.

I would be very interested in seeing the movie you capture - if you could capture both "smooth" and "choppy" that would be awesome.

Like I said, I can *not* reproduce this, and I'd been using the URL you mentioned.  I see a frame drop or get rendered with artifacts every few seconds are so, but I see that in both shipping Safari and ToT.

I have tried on both a MacBook, Mac Pro, and Intel iMac - the key being all Intel machines.  What kind of machine are you using?
Comment 15 Gibbons Burke 2007-05-16 10:43:20 PDT
I'm running on a 15" PowerBook 1.5 ghz with 1.5 gb RAM

The webcam playback seems less 'choppy' than when I filed the original bug report, but now playback in Webkit has the periodic garbled frames every few seconds. This is not the casein either Safari, or in a Dashboard Widget a friend of mine wrote to show the QuadCam. I can attach if you want to try that.
Comment 16 Brady Eidson 2007-05-16 10:45:15 PDT
I'm a lot more interested in the movies if you capture them, so I can actually see the difference I'm supposed to be looking for.  Also would be nice if anyone else can chime in a confirm they can see this on Intel hardware.

In the meantime, I will dig up a PPC machine
Comment 17 Gibbons Burke 2007-05-16 12:12:24 PDT
Created attachment 14583 [details]
A screen capture of the web cams side by side

This still capture doesn't show a garbled frame in the WebKit window on the left, but there is something interesting about it - notice the address bar shows the page is still loading. It never finishes loading the page. This in contrast to Safari on the right.

Will continue to try to nail down an image of the garbled frames (looks like an HD over the air broadcast signal gone awry on an HD television) with Snapz. If there's a better way to capture a movie of the screen I'm open to suggestion. Will Grab.app do it?
Comment 18 Gibbons Burke 2007-05-16 12:35:09 PDT
Created attachment 14584 [details]
A movie capture of the glitch occurring

Finally - resolved the Snapz issue (they blamed it on a Quicktime update) and here is the WebKit window on the left, Safari on the right, and I captured two glitch frames in 8.8 seconds. Also you can see in the Address bar and the window title that the page is still "Loading...".
Comment 19 mitz 2007-05-17 05:36:12 PDT
I have filed a separate bug, bug 13759, with a concrete reproducible example. It may be a duplicate of this one.
Comment 20 Brady Eidson 2007-05-17 11:55:17 PDT
This was a dupe of mitz's bug 13759 and was fixed in r21536

*** This bug has been marked as a duplicate of 13759 ***